aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDonnie Berkholz <dberkholz@gentoo.org>2011-08-12 18:55:27 (GMT)
committerDonnie Berkholz <dberkholz@gentoo.org>2011-08-12 18:55:27 (GMT)
commit95d06c02cc23a518a482507c483f3fdd6a8d34fc (patch)
tree452a8b896084bf5fd81c0f502a52321c34f4563d
parentshunit2: merged to main tree. (diff)
downloaddberkholz-95d06c02.zip
dberkholz-95d06c02.tar.gz
dberkholz-95d06c02.tar.bz2
rstudio-bin: Add hacky ebuild. But it works.
- Doesn't install to /opt - Creates ugly symlinks between lib(R){blas,lapack}.
-rw-r--r--dev-util/rstudio-bin/Manifest2
-rw-r--r--dev-util/rstudio-bin/rstudio-bin-0.94.92.ebuild26
2 files changed, 28 insertions, 0 deletions
diff --git a/dev-util/rstudio-bin/Manifest b/dev-util/rstudio-bin/Manifest
new file mode 100644
index 0000000..5924f86
--- /dev/null
+++ b/dev-util/rstudio-bin/Manifest
@@ -0,0 +1,2 @@
+DIST rstudio-0.94.92-x86_64.rpm 24640933 RMD160 ca58c0f072913f59ffff3a80fdfbef38c2bd9668 SHA1 b87208a79ac41202ec5c49c484eb37c9fb905b1f SHA256 957b4bddad138beb6ea6d5371fbc82322cb62794f73e7fca6d7da2c5b0c51843
+EBUILD rstudio-bin-0.94.92.ebuild 667 RMD160 f8df0ebf6eb777bc4f36c2488612461816d8aa8d SHA1 c78e9b2a8e1b8765d194288a642f62715d68b5c7 SHA256 0e52d714389728b3dd57a0091e5f341cc90d7d59ce712ace8a661a37fc7343e8
diff --git a/dev-util/rstudio-bin/rstudio-bin-0.94.92.ebuild b/dev-util/rstudio-bin/rstudio-bin-0.94.92.ebuild
new file mode 100644
index 0000000..542daea
--- /dev/null
+++ b/dev-util/rstudio-bin/rstudio-bin-0.94.92.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit eutils rpm
+
+DESCRIPTION="RStudio™ is a new integrated development environment (IDE) for R."
+HOMEPAGE="http://rstudio.org/"
+SRC_URI="https://s3.amazonaws.com/rstudio-desktop/rstudio-0.94.92-x86_64.rpm"
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+RDEPEND="dev-lang/R[lapack]"
+DEPEND=""
+S=${WORKDIR}
+
+src_install() {
+ cp -r "${WORKDIR}"/* "${D}"/ || die
+ dodir /usr/bin
+ make_wrapper rstudio /usr/lib/rstudio/bin/rstudio
+ dosym /usr/lib/libblas.so /usr/lib/libRblas.so
+ dosym /usr/lib/liblapack.so /usr/lib/libRlapack.so
+}